<?php session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();
?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?		
echo "<h2>Exportar a EXCEL Ingresos Anuales</h2>";

set_time_limit(3000); 
if (!$_POST ) { 
/////////////////////////////////////////////////MOSTRAR SOLICITUD DE CEDULA ////////////////////////////////////////////////////////////////
	echo "<font face='verdana' size=2>";
	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<table cellpadding=2 cellspacing=0 align='center'>";
	echo "<tr>";
		echo "<td> A&ntilde;o:</td>";
		echo "<td> <input name='anio' size = '15' maxlength = '4'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td> Acci&oacute;n:</td>";
		echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr>";
	echo "</table>";
	echo "</form>"; 
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.anio.focus()";
	echo "	</script>";
} else {
	$query1="select historico.monto,historico.concepto,personal.sso,personal.dir, personal.nombres, personal.apellidos, personal.codigo from historico,personal where personal.id='".$_SESSION['id_validar']."' and historico.cedula=personal.codigo and substring(historico.desperiodo,1,4)='".$_POST['anio']."' order by personal.codigo";
	$consulta = mysqli_query($enlace,$query1) or die ($query1.' > '.mysqli_error($enlace));
	$linea=0;$bandera=0;
	$monto=0;

	$archivo= "islr.xls";
	$fila="";
	if (!file_exists($archivo)) {
		$sw=1;
		$cabezera="Item\t Operador\t Cedula\t Nombres\t Ingresos\t Direccion\n";
	}

	while($row=mysqli_fetch_array($consulta)) {
		if ($row['concepto']<2000 && $row['concepto']!='DEDU') {
					if ($bandera==0) $ced=$row['codigo'];
					if ($ced!=$row['codigo']) {
						$linea++;
						$fila.="$linea\t $sso\t $ced\t $nom\t $monto\t $dir\n ";
						$monto=0;
					}
					$monto=$monto+$row['monto'];
					$ced=$row['codigo'];			
					$dir=$row['dir'];			
					$nom=trim($row['apellidos']).", ".trim($row['nombres']);			
					$sso=$row['sso'];			
					$bandera=1;
		} // cierre de deducciones	
	} // cierre del ciclo

	$linea++;
	$fila.="$linea\t $sso\t $ced\t $nom\t $monto\t $dir\n ";
	$p=fopen("$archivo","a");
	if($p){
		if ($sw==1){
			fputs($p,$cabezera);
			$sw=0;
		}
		fputs($p,$fila);
	}
	fclose($p);
	$mensaje=1;
	
	if ($mensaje==1) {
			echo "
			<script language=Javascript>
				alert('¡¡¡¡Los datos se exportarón exitosamente!!!!');
			</script>
			";
	} else {
			echo "
			<script language=Javascript>
				alert('¡¡¡¡Los datos NO se exportarón, REVISE!!!!');
			</script>
			";
	}

} // fin de reporte
mysqli_close($enlace);
?>
